#! /bin/sh /usr/share/dpatch/dpatch-run
## disabledby-omnicppcomplete.dpatch by Stefano Zacchiroli <zack@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

@DPATCH@
diff -urNad vim-scripts~/autoload/omni/cpp/complete.vim vim-scripts/autoload/omni/cpp/complete.vim
--- vim-scripts~/autoload/omni/cpp/complete.vim	2006-06-25 23:03:00.000000000 +0100
+++ vim-scripts/autoload/omni/cpp/complete.vim	2007-06-21 11:53:31.000000000 +0100
@@ -9,6 +9,10 @@
     finish
 endif
 
+if exists("loaded_omnicppcomplete")
+  finish
+endif
+
 call omni#cpp#settings#Init()
 let s:OmniCpp_ShowScopeInAbbr = g:OmniCpp_ShowScopeInAbbr
 let s:OmniCpp_ShowPrototypeInAbbr = g:OmniCpp_ShowPrototypeInAbbr
